# combo - content management system
# Copyright (C) 2015-2016  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf import settings

from combo.utils import requests

def get_passerelle_service():
    if hasattr(settings, 'KNOWN_SERVICES') and settings.KNOWN_SERVICES.get('passerelle'):
        return settings.KNOWN_SERVICES['passerelle'].values()[0]

def is_family_enabled():
    return get_passerelle_service() and hasattr(settings, 'FAMILY_SERVICE')

def get_family_json(endpoint, **kwargs):
    path = settings.FAMILY_SERVICE.get('root') + endpoint
    return requests.get(path,
                        cache_duration=0, # because link/unlink cannot invalidate cache
                        remote_service=get_passerelle_service(),
                        headers={'accept': 'application/json'},
                        **kwargs)
